Index: trunk/packages/sipb-xen-www/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-www/debian/changelog	(revision 1297)
+++ 	(revision )
@@ -1,172 +1,0 @@
-sipb-xen-www (3.18) unstable; urgency=low
-
-  * sipb-xen-database-common -> invirt-database
-
- -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:04:09 -0400
-
-sipb-xen-www (3.17) unstable; urgency=low
-
-  [ Quentin Smith ]
-  * Add Kerberos-authenticated web interface on port 442
-
-  [ Evan Broder ]
-  * Add config-package-dev to the build dependencies
-
- -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 15:32:34 -0400
-
-sipb-xen-www (3.16) unstable; urgency=low
-
-  * Shorten initscript with spiffy new library from sipb-xen-base
-  * Fix comment copy-paste error in initscript, now that it's mostly comments
-
- -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:19:13 -0400
-
-sipb-xen-www (3.15) unstable; urgency=low
-
-  * Use /etc/invirt/keytab instead of a separate keytab for apache
-
- -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 19:56:04 -0400
-
-sipb-xen-www (3.14.4) unstable; urgency=low
-
-  * allow '*' wildcard in config.errormail_exclude
-
- -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:32:42 -0700
-
-sipb-xen-www (3.14.3) unstable; urgency=low
-
-  * Actually stop Apache on shutdown
-
- -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 00:24:40 -0400
-
-sipb-xen-www (3.14.2) unstable; urgency=low
-
-  * Be a good debian package and undo what you did on uninstall
-
- -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 00:06:30 -0400
-
-sipb-xen-www (3.14.1) unstable; urgency=low
-
-  * Try again, now that I actually understand what the problem is
-
- -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:58:46 -0400
-
-sipb-xen-www (3.14) unstable; urgency=low
-
-  * Try to fix startup ordering problem by specifying that the new startup
-    script depends on $remote_fs
-
- -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:32:14 -0400
-
-sipb-xen-www (3.13.1) unstable; urgency=low
-
-  * Don't add another Listen 443 directive - apache gets angry
-  * And this, kids, is why you should always test your code before
-    committing
-
- -- Evan broder <broder@mit.edu>  Fri, 03 Oct 2008 22:01:22 -0400
-
-sipb-xen-www (3.13) unstable; urgency=low
-
-  * Make sure we're listening on all the necessary ports
-
- -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:40:47 -0400
-
-sipb-xen-www (3.12) unstable; urgency=low
-
-  * invirt-confiscate the SVN checkout
-
- -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:01:33 -0400
-
-sipb-xen-www (3.11) unstable; urgency=low
-
-  * fix distribution
-
- -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:48:37 -0400
-
-sipb-xen-www (3.10) hardy; urgency=low
-
-  * depend on debathena-afs-config and python-flup
-
- -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 05:58:01 +0000
-
-sipb-xen-www (3.9) unstable; urgency=low
-
-  * further integration of invirt.config
-
- -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:39:15 -0400
-
-sipb-xen-www (3.8) unstable; urgency=low
-
-  * sipb_xen_database -> invirt.database in cache_acls.py
-
- -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:45:19 -0400
-
-sipb-xen-www (3.7) unstable; urgency=low
-
-  uncommitted changes in /etc/apache2 on xvm.mit.edu:
-  * rewrite static/ uris for admin mode
-  * allow ~ uris
-
-  * take instance from keytab in k5start apache2.init wrapper
-
- -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 01:22:47 -0400
-
-sipb-xen-www (3.6) unstable; urgency=low
-
-  * Add Anders' kstart-using apache2 init script.
-  * Add some dependencies the svn site needs.
-  * Use daemon/xvm-2.mit.edu for svn site, as it's on xvm-2 now
-
- -- Greg Price <price@mit.edu>  Fri,  1 Aug 2008 20:23:50 -0400
-
-sipb-xen-www (3.5) unstable; urgency=low
-
-  * Use FCGI.
-  * Lengthen timeouts to let the autoinstaller work.
-
- -- Greg Price <price@mit.edu>  Sun, 15 Jun 2008 21:51:59 -0400
-
-sipb-xen-www (3.4) unstable; urgency=low
-
-  * xvm.mit.edu rather than sipb-xen-dev.mit.edu
-
- -- Greg Price <price@mit.edu>  Sun, 11 May 2008 00:49:58 -0400
-
-sipb-xen-www (3.3) unstable; urgency=low
-
-  * Fix the SVN server to point to the new AFS mountpoint
-
- -- Evan Broder <broder@mit.edu>  Fri,  9 May 2008 02:37:21 -0400
-
-sipb-xen-www (3.2) unstable; urgency=low
-
-  * Check in (part of?) the Apache config.
-  * Modify it to allow an informative front page without certs.
-  * Add that front page.
-
- -- Greg Price <price@mit.edu>  Fri,  9 May 2008 02:11:04 -0400
-
-sipb-xen-www (3.1) unstable; urgency=low
-
-  * Fixed the crontab definition
-
- -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:49:32 -0400
-
-sipb-xen-www (3) unstable; urgency=low
-
-  * Refresh the ACL cache every 5 minutes
-
- -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:38:16 -0400
-
-sipb-xen-www (2) unstable; urgency=low
-
-  * Create sipb-xen group in preinst script.
-
- -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 18:45:02 -0400
-
-sipb-xen-www (1) unstable; urgency=low
-
-  * Initial Release.
- -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 22:43:12 -0500
-
Index: trunk/packages/sipb-xen-www/debian/compat
===================================================================
--- trunk/packages/sipb-xen-www/debian/compat	(revision 1297)
+++ 	(revision )
@@ -1,1 +1,0 @@
-4
Index: trunk/packages/sipb-xen-www/debian/control
===================================================================
--- trunk/packages/sipb-xen-www/debian/control	(revision 1297)
+++ 	(revision )
@@ -1,14 +1,0 @@
-Source: sipb-xen-www
-Section: base
-Priority: extra
-Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), config-package-dev, subversion, sipb-xen-base
-Standards-Version: 3.7.2
-
-Package: sipb-xen-www
-Architecture: all
-Depends: ${misc:Depends}, libapache2-mod-fcgid, python-flup,
- python-cheetah, python-simplejson, invirt-database,
- sipb-xen-vnc-client, kstart, debathena-afs-config, sipb-xen-base,
- libapache2-svn, libapache2-mod-auth-kerb, postfix, subversion, zephyr-clients
-Description: Install the sipb-xen-dev website
Index: trunk/packages/sipb-xen-www/debian/copyright
===================================================================
--- trunk/packages/sipb-xen-www/debian/copyright	(revision 1297)
+++ 	(revision )
@@ -1,16 +1,0 @@
-This software was written as part of the Invirt project <invirt@mit.edu>.
-
-Copyright :
-
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-On Debian systems, the complete text of the GNU General Public License
-can be found in the file /usr/share/common-licenses/GPL.
Index: trunk/packages/sipb-xen-www/debian/rules
===================================================================
--- trunk/packages/sipb-xen-www/debian/rules	(revision 1297)
+++ 	(revision )
@@ -1,13 +1,0 @@
-#!/usr/bin/make -f
-
-DEB_DIVERT_EXTENSION = .invirt
-DEB_DIVERT_FILES_sipb-xen-www += \
-    /etc/init.d/apache2
-
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/config-package.mk
-
-DEB_UPDATE_RCD_PARAMS_sipb-xen-www += defaults 91 9
-
-binary-fixup/sipb-xen-www::
-	svn co $$(invirt-getconf svn.uri)/trunk/packages/sipb-xen-www/code/ $(DEB_DESTDIR)/var/www/sipb-xen-www
Index: trunk/packages/sipb-xen-www/debian/sipb-xen-www.cron.d
===================================================================
--- trunk/packages/sipb-xen-www/debian/sipb-xen-www.cron.d	(revision 1297)
+++ 	(revision )
@@ -1,8 +1,0 @@
-#
-# cron-jobs for sipb-xen-www
-# Refresh the ACL cache
-#
-
-MAILTO=root
-
-*/5 * * * * www-data python /var/www/sipb-xen-www/cache_acls.py
Index: trunk/packages/sipb-xen-www/debian/sipb-xen-www.init
===================================================================
--- trunk/packages/sipb-xen-www/debian/sipb-xen-www.init	(revision 1297)
+++ 	(revision )
@@ -1,17 +1,0 @@
-#!/bin/bash
-### BEGIN INIT INFO
-# Provides:          sipb-xen-www
-# Required-Start:    $local_fs $remote_fs
-# Required-Stop:     $local_fs $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: sipb-xen web server
-# Description:
-### END INIT INFO 
-
-PACKAGE=sipb-xen-www
-PARENTPACKAGE=apache2
-GEN_FILES=(/etc/apache2/sites-available/{ssl,svn})
-
-. /lib/init/config-init.sh
-config_init "$1"
Index: trunk/packages/sipb-xen-www/debian/sipb-xen-www.install
===================================================================
--- trunk/packages/sipb-xen-www/debian/sipb-xen-www.install	(revision 1297)
+++ 	(revision )
@@ -1,1 +1,0 @@
-files/* .
Index: trunk/packages/sipb-xen-www/debian/sipb-xen-www.postinst
===================================================================
--- trunk/packages/sipb-xen-www/debian/sipb-xen-www.postinst	(revision 1297)
+++ 	(revision )
@@ -1,49 +1,0 @@
-#!/bin/sh
-# postinst script for #PACKAGE#
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <postinst> `abort-remove'
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    configure)
-	cd /var/www/sipb-xen-www
-	make clean && make all
-	chgrp -R sipb-xen .
-	chmod -R g+w .
-        
-        # Our init script proxies all requests Apache's, so Apache's
-        # running is just a NOP
-        update-rc.d -f apache2 remove
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
-
-
Index: trunk/packages/sipb-xen-www/debian/sipb-xen-www.preinst
===================================================================
--- trunk/packages/sipb-xen-www/debian/sipb-xen-www.preinst	(revision 1297)
+++ 	(revision )
@@ -1,40 +1,0 @@
-#!/bin/sh
-# preinst script for #PACKAGE#
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <new-preinst> `install'
-#        * <new-preinst> `install' <old-version>
-#        * <new-preinst> `upgrade' <old-version>
-#        * <old-preinst> `abort-upgrade' <new-version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    install|upgrade)
-	if ! getent group sipb-xen > /dev/null; then
-	    addgroup --system sipb-xen
-	fi
-    ;;
-
-    abort-upgrade)
-    ;;
-
-    *)
-        echo "preinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
-
-
Index: trunk/packages/sipb-xen-www/debian/sipb-xen-www.prerm
===================================================================
--- trunk/packages/sipb-xen-www/debian/sipb-xen-www.prerm	(revision 1297)
+++ 	(revision )
@@ -1,41 +1,0 @@
-#!/bin/sh
-# prerm script for sipb-xen-www
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <prerm> `remove'
-#        * <old-prerm> `upgrade' <new-version>
-#        * <new-prerm> `failed-upgrade' <old-version>
-#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
-#        * <deconfigured's-prerm> `deconfigure' `in-favour'
-#          <package-being-installed> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    remove|upgrade|deconfigure)
-        update-rc.d apache2 defaults 91 9
-    ;;
-
-    failed-upgrade)
-    ;;
-
-    *)
-        echo "prerm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
-
-
